<!DOCTYPE html>
<html>
 <head>
    <style>
        #fondo {
            background-image: url("https://images.pexels.com/photos/260689/pexels-photo-260689.jpeg?auto=compress&cs=tinysrgb&dpr=2&h=650&w=940");
            height: 100vh;
            width: 100%;
            background-size: cover;
            background-repeat: no repeat;
            background-position: center;
            background-attachment: fixed;
            padding: 20px;
            margin: auto;

        }
    </style>
 </head>
<body>
    <div id="fondo">
        <div style="text-align: right" style="float: right">
            <h2><img src="https://www.tecazuay.edu.ec/assets/img/logo.png" class="izquierda"></h2>
        </div>
        <h1> </h1>
        <h1 class="test1">SOLICITUD EMPRESA</h1>
        
        <div>
         <hr class="bordes" />
        <div class="row ">
           
            <p-table class="ex2" #dt [columns]="cols" [value]="solicitudempresas" [paginator]="true" (onRowSelect)="onRowSelect($event)"
                [rows]="10" [filterDelay]="400" selectionMode="single" [(selection)]=" solicitudseleccionada"
                dataKey="idSolicitudEmpresa" [style]="{'margin-left':'40px'}"   >
                 <ng-template pTemplate="caption">
                    Módulos
                </ng-template>
                <ng-template pTemplate="caption">
                    <div style="text-align: right">
                        <i class="fa fa-search" style="margin:6px 6px 0 0"></i>
                        <input type="text" pInputText size="50" placeholder="Busqueda"
                            (input)="dt.filterGlobal($event.target.value, 'contains')" style="width:auto" />
                    </div>
                </ng-template>
                <ng-template pTemplate="header" let-columns>
                    <tr>
                        <th *ngFor="let col of columns" [pSortableColumn]="col.field">
                            {{ col.header }}
                            <p-sortIcon [field]="col.field"></p-sortIcon>
                           
                            
                        </th>
                        <th> Acciones</th>
                    </tr>
                </ng-template>
                
                <ng-template pTemplate="body" let-rowData let-columns="columns">
                
                    <tr [pSelectableRow]="rowData">
              
                        <td *ngFor="let col of columns">
                            
                             <span *ngIf="(col.field==='empresa')" >{{ rowData[col.field]?.idEmpresa}}</span> 
                             <span *ngIf="(col.field==='empresa')" >{{ rowData[col.field]?.representante}}</span> 
                            <span *ngIf="(col.field==='fechaExterna') || (col.field==='fechaInicio') " >{{ rowData[col.field] | date }}</span>
                            <span *ngIf="!((col.field==='fechaExterna')|| (col.field==='fechaInicio')||(col.field==='empresa')||(col.field==='representante'))"> {{ rowData[col.field] }}</span> 
                          
                        </td>
                            <td>   <button class="btn btn-success" routerLink="/solicitudconvocatoria"
                                   >Convocatoria</button></td>
                      
                    </tr>
                </ng-template>
            
                <ng-template pTemplate="summary" let-rowData>
                    <div style="text-align:right">
                        <button type="button" pButton icon="fa fa-plus" (click)="showDialogToAdd()"
                            label="Nuevo"></button>
                        <button type="button" pButton icon="fa fa-trash" (click)="borrar(idSolicitudEmpresa)" label="Borrar"></button>
                        <button type="button"  pButton icon="fa fa-edit" (click)="showDialogToEdit()"
                            label="Editar"></button>
                            <button type="button"  pButton icon="fa fa-edit" (click)="generarSolicitud()"
                            label="Generar"></button>
                        <!-- <button type="button" pButton icon="fa fa-refresh" (click)="listar()"
                            label="Actualizar">Actualizar</button> -->
    
                    </div>
                </ng-template> 
            </p-table>
            <p-dialog header="SOLICITUD" [(visible)]="displayDialog" [responsive]="true" showEffect="fade" [modal]="true"
                [style]="{ width: '400px' }">
               
    
                <div class="col-md-8 mt-4">
                    <form #form="ngForm" *ngIf="solicitudempresa">

                        <div class="form-group">
                        <label for="icon" class="col-form-label-sm">Fecha:</label>
                                 <p-calendar  name="fechaExterna " #fechaExterna="ngModel" required [(ngModel)]="solicitudempresa.fechaExterna" 
                            [(ngModel)]="date5" dateFormant='dd/mm/yy'  [showIcon]="true" inputId="icon"></p-calendar>
                                    
                            <h6 *ngIf="fechaExterna.hasError('required') && fechaExterna.touched" class="input-error">Campo obligatorio</h6>
                        </div>
                     <div class="form-group">
                            <label for="" class="col-form-label-sm">Responsable:</label>
                            <input type="text" required class="form-control" name="responsableppp"
                                [(ngModel)]="solicitudempresa.responsableppp" placeholder="Ingrese el Responsable de PPP"
                                #responsableppp="ngModel" pKeyFilter="alpha">
                            <h6 *ngIf="responsableppp.hasError('required') && responsableppp.touched" class="input-error">Campo
                                obligatorio</h6>
                        </div>
                       <div class="form-group">
                            <label for="" class="col-form-label-sm">Carrera:</label>
                            <input type="text" required class="form-control" name="carrera"
                                [(ngModel)]="solicitudempresa.carrera" placeholder="Ingrese la Carrera"
                                #carrera="ngModel">
                            <h6 *ngIf="carrera.hasError('required') && carrera.touched" class="input-error">Campo
                                obligatorio</h6>
                        </div>
                       <div class="form-group">
                            <label for="empresa">
                                    Empresa:
                            </label>
                            
                         <p-dropdown   #mySelect="ngModel" [options]="this.empresas"  name="mySelect" placeholder="Seleccione la Empresa" overlayVisible="true" [filter]="true" [showClear]="true" 
                       [ngModelOptions]="{standalone: true}" optionLabel="nombre" [(ngModel)]="solicitudempresa.empresa"></p-dropdown>
                        </div> 
                        <div class="form-group">
                            <label for="" class="col-form-label-sm">Numero Estudiantes:</label>
                            <input type="text" required class="form-control " placeholder="Ingrese la cantidad de estudiantes que necesita"
                                name="numeroEstudiantes" #numeroEstudiantes="ngModel" required [(ngModel)]="solicitudempresa.numeroEstudiantes" pKeyFilter="int"/>
                            <h6 *ngIf="numeroEstudiantes.hasError('required') && numeroEstudiantes.touched" class="input-error">Campo obligatorio
                            </h6>
                        </div>
                        <div class="form-group">
                            <label for="" class="col-form-label-sm">Actividades:</label>
                            <input type="text" required class="form-control " placeholder="Ingrese las actividades a realizar"
                                name="actividades" #actividades="ngModel" required [(ngModel)]="solicitudempresa.actividades" />
                            <h6 *ngIf="actividades.hasError('required') && actividades.touched" class="input-error">Campo obligatorio
                            </h6>
                        </div>
                             <div class="form-group">
                        <label for="" class="col-form-label-sm">Fecha Inicio:</label>
                            
                        <div class="calender">
                               <p-calendar  name="fechaInicio " #fechaInicio="ngModel" required [(ngModel)]="solicitudempresa.fechaInicio" 
                            [(ngModel)]="date6" dateFormant='dd/mm/yy'  [showIcon]="true" inputId="icon"></p-calendar>
                               </div >
                                    
                            <h6 *ngIf="fechaInicio.hasError('required') && fechaInicio.touched" class="input-error">Campo obligatorio</h6>
                        </div>
                            <div class="form-group">
                            <label for="empresa">
                                 Representante:
                            </label>
                            
                         <p-dropdown   #mySelect="ngModel" [options]="this.empresas"  name="mySelect" placeholder="Seleccione quien solicita" overlayVisible="true" [filter]="true" [showClear]="true" 
                       [ngModelOptions]="{standalone: true}" optionLabel="representante" [(ngModel)]="solicitudempresa.empresa"></p-dropdown>
                        </div>  
   
                               <div class="form-group">
                            <label for="" class="col-form-label-sm">Cargo:</label>
                            <input type="text" required class="form-control" name="cargo"
                                [(ngModel)]="solicitudempresa.cargo" placeholder="Ingrese el cargo en la empresa"
                                #cargo="ngModel"pKeyFilter="alpha">
                            <h6 *ngIf="cargo.hasError('required') && cargo.touched" class="input-error">Campo
                                obligatorio</h6>
                        </div>
                        
                        <div class="form-group">
                            <label for="" class="col-form-label-sm">Estado:</label>
                            <input type="text" required class="form-control" name="estado"
                                [(ngModel)]="solicitudempresa.estado" placeholder="Estado"
                                #estado="ngModel">
                            <h6 *ngIf="estado.hasError('required') && estado.touched" class="input-error">Campo
                                obligatorio</h6>
                        </div>
                        
    
                        <div class="text-center form-row justify-content-around">
                            <div class="col-5">
                                <button class="btn btn-danger" (click)="cerrar()">Cancelar</button>
                            </div>
                            <div class="col-5">
                                <button class="btn btn-success" [disabled]="form.invalid"
                                    (click)="btnGuardar()">Guardar</button>
                            </div>
                        </div>
                    </form>
                </div>
            </p-dialog>
           
        </div>
        </div>
    
    </div>
  </body>
</html>
